> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization invites

> Retrieves a list of users who have been invited to the organization but have not yet accepted the invitation.




## OpenAPI

````yaml get /organizations/{org_id}/invites
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /organizations/{org_id}/invites:
    parameters:
      - $ref: '#/components/parameters/OrgParam'
    get:
      tags:
        - Organization Management
      summary: List organization invites
      description: >
        Retrieves a list of users who have been invited to the organization but
        have not yet accepted the invitation.
      operationId: src.handlersv2.organization.list_invited_members
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            default: 10
            minimum: 1
            maximum: 100
        - in: query
          name: offset
          schema:
            type: integer
            minimum: 0
            default: 0
      responses:
        '200':
          description: List of invited members
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOrganizationInviteList'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/read
components:
  parameters:
    OrgParam:
      in: path
      name: org_id
      schema:
        type: string
      required: true
      description: An ID of an organization
  schemas:
    PaginatedOrganizationInviteList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/EmailInviteSummary'
        total:
          type: integer
          description: Total number of unique emails with pending invitations
        has_more:
          type: boolean
          description: Whether there are more items available
      required:
        - items
        - total
        - has_more
    EmailInviteSummary:
      type: object
      properties:
        invited_email:
          type: string
          format: email
          description: Email address of the invited user
        organization_invites:
          type: integer
          description: Number of organization invites for this email
        repository_invites:
          type: integer
          description: Number of repository invites for this email
        latest_created:
          type: string
          format: date-time
          description: Timestamp of the most recent invite
        latest_expires:
          type: string
          format: date-time
          description: Latest expiration timestamp among all invites for this email
        repository_details:
          type: array
          items:
            $ref: '#/components/schemas/RepositoryInviteDetail'
          description: Details of repository invites
        latest_inviting_user:
          $ref: '#/components/schemas/InvitingUserInfo'
      required:
        - invited_email
        - organization_invites
        - repository_invites
        - latest_created
        - latest_expires
        - repository_details
        - latest_inviting_user
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
    RepositoryInviteDetail:
      type: object
      properties:
        repo_id:
          type: string
          description: Repository identifier
        repo_name:
          type: string
          description: Repository name
      required:
        - repo_id
        - repo_name
    InvitingUserInfo:
      type: object
      properties:
        user_id:
          type: string
          description: User identifier
        name:
          type: string
          description: User display name
        avatar:
          type: string
          nullable: true
          description: User avatar URL
      required:
        - user_id
        - name
        - avatar
  responses:
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````